%CREATETRIDIAGONAL Create a sparse tri-diagonal matrix contianing
%  the given upper, diagonal and lower entries. 
%  Each of these should be a vector of length N, the first entry of 
%  lower should be zero, the last entry of upper should be zero.
function A= createTridiagonal( lower, diagonal, upper )

N = length( diagonal );

rowsUpper = (1:N-1)';
colsUpper = (2:N)';
rowsDiagonal = (1:N)';
colsDiagonal = (1:N)';
rowsLower = (2:N)';
colsLower = (1:N-1)';
allRows = [rowsUpper ; rowsDiagonal ; rowsLower ];
allCols = [colsUpper ; colsDiagonal ; colsLower ];
allVals = [ upper(rowsUpper) ; diagonal ; lower(rowsLower)];

A = sparse( allRows, allCols, allVals );

end

