function generateSurfacePlot()
% Generate a surface plot to visually illustrate the method
%
% Uses a fairly small grid which is aligned to the strike price
% for visual clarity
sigma = 0.3;
r = 0.05;
K = 110;
S0 = 105;
T = 0.5;
nSds = 8;
M = 50;
N = 30;

[~, W, exercised] = pricePutByHeatEquationImplicit( K, T, S0, r, sigma, N, M, nSds, true );
figure();
title('Put option price surface');
surf( W, exercised );
ylabel('Time');
xlabel('x');
zlabel('Discounted Price');
figure();
surf( exercised );
end

