function testPricePutByHeatEquationImplicit()

sigma = 0.3;
r = 0.10; % Adding in an interest rate produces decent price differences
K = 105;
S0 = 108;
T = 0.5;
M = 50;
N = 50;
nSds=4;

[europeanPrice, ~] = pricePutByHeatEquationImplicit( K, T, S0, r, sigma, N, M, nSds, false );
truePrice = blackScholesPutPrice( K, T, S0, r, sigma );
assertApproxEqual( europeanPrice, truePrice, 0.1);

[americanPrice, ~] = pricePutByHeatEquationImplicit( K, T, S0, r, sigma, N, M, nSds, true );
assert( americanPrice > truePrice );

[explicitAmericanPrice, ~] = priceAmericanPutByExplicitMethod( K, T, S0, r, sigma, 2*S0, N, M );
assertApproxEqual( explicitAmericanPrice, americanPrice, 0.1 );


end

